# PODNAME: Config::Model::models::LCDd::server
# ABSTRACT:  Configuration class LCDd::server

=encoding utf8

=head1 NAME

Config::Model::models::LCDd::server - Configuration class LCDd::server

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

generated from LCDd.conf

=head1 Elements

=head2 AutoRotate

If set to no, LCDd will start with screen rotation disabled. This has the
same effect as if the ToggleRotateKey had been pressed. Rotation will start
if the ToggleRotateKey is pressed. Note that this setting does not turn off
priority sorting of screens. I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

on

=back



=head2 Backlight

Set master backlight setting. If set to 'open' a client may control the
backlight for its own screens (only). I< Optional. Type enum. choice: 'off', 'open', 'on'.  > 

=over 4

=item upstream_default value :

open

=back



=head2 Bind

Tells the driver to bind to the given interface. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

127.0.0.1

=back



=head2 Driver

Tells the server to load the given drivers. Multiple lines can be given.
The name of the driver is case sensitive and determines the section
where to look for further configuration options of the specific driver
as well as the name of the dynamic driver module to load at runtime.
The latter one can be changed by giving a File= directive in the
driver specific section.

The following drivers are supported:
  bayrad, CFontz, CFontzPacket, curses, CwLnx, ea65, EyeboxOne, futaba,
  g15, glcd, glcdlib, glk, hd44780, icp_a106, imon, imonlcd,, IOWarrior,
  irman, joy, lb216, lcdm001, lcterm, linux_input, lirc, lis, MD8800,
  mdm166a, ms6931, mtc_s16209x, MtxOrb, mx5000, NoritakeVFD,
  Olimex_MOD_LCD1x9, picolcd, pyramid, rawserial, sdeclcd, sed1330,
  sed1520, serialPOS, serialVFD, shuttleVFD, sli, stv5730, svga, t6963,
  text, tyan, ula200, vlsys_m428, xosd, yard2LCD. I< Optional. Type check_list. choice: 'bayrad', 'CFontz', 'CFontzPacket', 'curses', 'CwLnx', 'ea65', 'EyeboxOne', 'futaba', 'g15', 'glcd', 'glcdlib', 'glk', 'hd44780', 'icp_a106', 'imon', 'imonlcd', 'IOWarrior', 'irman', 'joy', 'lb216', 'lcdm001', 'lcterm', 'linux_input', 'lirc', 'lis', 'MD8800', 'mdm166a', 'ms6931', 'mtc_s16209x', 'MtxOrb', 'mx5000', 'NoritakeVFD', 'Olimex_MOD_LCD1x9', 'picolcd', 'pyramid', 'rawserial', 'sdeclcd', 'sed1330', 'sed1520', 'serialPOS', 'serialVFD', 'shuttleVFD', 'sli', 'stv5730', 'svga', 't6963', 'text', 'tyan', 'ula200', 'vlsys_m428', 'xosd', 'yard2LCD'.  > 

=head2 DriverPath

Where can we find the driver modules ?
IMPORTANT: Make sure to change this setting to reflect your
           specific setup! Otherwise LCDd won't be able to find
           the driver modules and will thus not be able to
           function properly.
NOTE: Always place a slash as last character ! I< Optional. Type uniline.  > 

Note: DriverPath is computed with 

 use Dpkg::Arch qw/get_host_arch debarch_to_multiarch/;
              my $triplet = debarch_to_multiarch(get_host_arch());
              "/usr/lib/$triplet/lcdproc/";

and with: 

=over

=item *



=back



=head2 Foreground

The server will stay in the foreground if set to yes. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

no,legal:yes,no

=back



=head2 FrameInterval

Sets the interval in microseconds for updating the display.
default is 125000 meaning 8Hz. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

125000

=back



=head2 GoodBye

I< Optional. Type list of uniline.  > 

=head2 Heartbeat

Set master heartbeat setting. If set to 'open' a client may control the
heartbeat for its own screens (only). I< Optional. Type enum. choice: 'off', 'open', 'on'.  > 

=over 4

=item upstream_default value :

open

=back



=head2 Hello

I< Optional. Type list of uniline.  > 

=head2 NextScreenKey

I< Optional. Type uniline.  > 

=over 4

=item default value :

Right

=back



=head2 Port

Listen on this specified port. I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

13666

=back



=head2 PrevScreenKey

I< Optional. Type uniline.  > 

=over 4

=item default value :

Left

=back



=head2 ReportLevel

Sets the reporting level; defaults to warnings and errors only. I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

2

=back



=head2 ReportToSyslog

Should we report to syslog instead of stderr? I< Optional. Type boolean.  > 

=over 4

=item default value :

yes

=back



=head2 ScrollDownKey

I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

Down

=back



=head2 ScrollUpKey

I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

Up

=back



=head2 ServerScreen

If yes, the the serverscreen will be rotated as a usual info screen. If no,
it will be a background screen, only visible when no other screens are
active. The special value 'blank' is similar to no, but only a blank screen
is displayed. I< Optional. Type enum. choice: 'on', 'off', 'blank'.  > 

=over 4

=item upstream_default value :

on

=back



=head2 TitleSpeed

set title scrolling speed I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

10

=back



=head2 ToggleRotateKey

The "...Key=" lines define what the server does with keypresses that
don't go to any client. The ToggleRotateKey stops rotation of screens, while
the PrevScreenKey and NextScreenKey go back / forward one screen (even if
rotation is disabled.
Assign the key string returned by the driver to the ...Key setting. These
are the defaults: I< Optional. Type uniline.  > 

=over 4

=item default value :

Enter

=back



=head2 User

User to run as.  LCDd will drop its root privileges and run as this user
instead. I< Optional. Type uniline.  > 

=head2 WaitTime

Sets the default time in seconds to displays a screen. I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

4

=back



=head1 SEE ALSO

=over

=item *

L<cme>

=back

=cut

